#include "calculaHoras.hpp"

Tempo::Tempo(){
  dias = 0;
  horas = 0;
  minutos = 0;
  segundos = 0;
}

Tempo::Tempo(int _dias, int _horas, int _minutos, int _segundos){
  dias = _dias;
  horas = _horas;
  minutos = _minutos;
  segundos = _segundos;
}

void Tempo::inicializa(int _horas, int _minutos, int _segundos){
  horas = _horas;
  minutos = _minutos;
  segundos = _segundos;
}


int Tempo::verDias(){
  return(dias);
}

int Tempo::verHoras(){
  return(horas);
}

int Tempo::verMinutos(){
  return(minutos);
}

int Tempo::verSegundos(){
  return(segundos);
}
  



void Tempo::somarHoras(Tempo t1, Tempo t2){

  int mmAux,ssAux;

  ssAux = t1.segundos+t2.segundos;
  segundos = ssAux % 60;
  mmAux = t1.minutos+t2.minutos+(ssAux / 60);
  minutos = mmAux % 60;
  horas = t1.horas+t2.horas+(mmAux / 60);
}

void Tempo::ajuste(Tempo t){

  if (t.horas < 0) { // pela diferenças dos fusos horários, a hora pode ser negativa
    horas = 24+t.horas;
    dias = -1;
  }
  else {
    dias = t.horas / 24;
    horas = t.horas % 24;
  }
}

