#ifndef CALCULAHORAS
#define CALCULAHORAS


class Tempo {
private:
  int dias,horas,minutos,segundos;
public:
  /*
   * Constructor com 0 argumentos
   */
  Tempo();
  /*
   * Constructor com 4 argumentos
   */
  Tempo(int,int,int,int);

  /*
   * Inicializa um dado Tempo
   * --> horas,minutos,segundos:int
   * <-- t:Tempo (implícito)
   */
  void inicializa(int,int,int);

  /*
   * Ver Dia
   * --> t:tempo
   * <-- dia:int
   */
  int verDias();

  /*
   * Ver Horas
   * --> t:tempo
   * <-- horas:int
   */
  int verHoras();

  /*
   * Ver Minutos
   * --> t:tempo
   * <-- minutos:int
   */
  int verMinutos();

  /*
   * Ver Segundos
   * --> t:tempo
   * <-- segundos:int
   */
  int verSegundos();
  
  /*
   * Função para somar dois instantes de tempo, não considera a
   * mudança de dias.
   * 
   * --> Dois instantes de tempo
   * <-- Resultado da soma
   */
  void somarHoras(Tempo,Tempo);
  
  
  /* 
   * Função para fazer o ajuste referente às mudanças de dia.
   *
   * --> Tempo (como valor das horas, eventualmente, maior do que 23)
   * <-- Tempo (dias e horas (com horas entre 0 e 23) e os dias com +1 ou -1)
   */
  void ajuste(Tempo);

};

#endif
