/*
 * Programa para calcular o instante de chegada de um dado voo
 * entradas: Instante de partida (hhp,mmp,ssp)
 *           Duração do voo (hhd,mmd,ssd)
 *           Diferença horária entre origem e o destino (difHor)
 * saída: Instante de chegada (dd,hhc,mmc,ssc)
 */

#include <stdio.h>
#include "calculaHoras.hpp"

int main() {

  int hhp,mmp,ssp;
  int hhd,mmd,ssd;
  int difHor;
  int hhc,mmc,ssc;
  int hhAux,mmAux,ssAux;
  int dd;

  Tempo partida,duracao,chegada;

  // Leitura
  // Partida
  printf("Instante de Partida (hh,mm,ss): ");
  scanf("%d%d%d",&hhp,&mmp,&ssp);
  partida.inicializa(hhp,mmp,ssp);
  // Duração  
  printf("Duração do Voo (hh,mm,ss): ");
  scanf("%d%d%d",&hhd,&mmd,&ssd);
  duracao.inicializa(hhd,mmd,ssd);
  // Diferença horária
  printf("Diferença Horária (hh): ");
  scanf("%d",&difHor);
  
  // Cálculo, Instante de partida + duração
  chegada.somarHoras(partida,duracao);
  // Cálculo (Instante de partida + duração) + Fusos
  chegada.somarHoras(chegada,Tempo(0,difHor,0,0));
  // Ajuste do valor achado, cálculo da mudança de dia 
  chegada.ajuste(chegada);
  // Escrita do resultado 
  printf("\nO avião chegou às: ");
  if (chegada.verDias() == 0) {
    printf("%dh %dm %ds\n",chegada.verHoras(),chegada.verMinutos(),chegada.verSegundos());
  }
  else {
    switch (chegada.verDias()) {
    case -1: 
      printf("%dh %dm %ds\n",chegada.verHoras(),chegada.verMinutos(),chegada.verSegundos());
      printf("Do dia anterior.\n");
      break;
    case 1: 
      printf("%dh %dm %ds\n",chegada.verHoras(),chegada.verMinutos(),chegada.verSegundos());
      printf("Do dia seguinte.\n");
      break;
    default:
      printf("Erro\n");
      printf("%dd %dh %dm %ds\n",chegada.verDias(),chegada.verHoras(),chegada.verMinutos(),chegada.verSegundos());
    }
  }
  return 0;
}
